com.holonplatform.vaadin.components.builders

## Interface PropertyListingBuilder.GridPropertyListingBuilder

- All Superinterfaces:
    BaseItemDataSourceComponentBuilder<PropertyListingBuilder.GridPropertyListingBuilder>, ComponentBuilder<PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder>, ComponentConfigurator<PropertyListingBuilder.GridPropertyListingBuilder>, ComponentPostProcessorSupport<com.vaadin.ui.Grid<com.holonplatform.core.property.PropertyBox>,PropertyListingBuilder.GridPropertyListingBuilder>, ItemDataSourceComponentBuilder<com.holonplatform.core.property.PropertyBox,PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder>, ItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property,PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder,com.vaadin.ui.Grid<com.holonplatform.core.property.PropertyBox>>, ItemListingBuilder.BaseGridItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property,PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder>, PropertyListingBuilder<PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder,com.vaadin.ui.Grid<com.holonplatform.core.property.PropertyBox>>, PropertyListingBuilder.BaseGridPropertyListingBuilder<PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder>
  Enclosing interface:
    PropertyListingBuilder<C extends ItemListing<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property>,B extends PropertyListingBuilder<C,B,X>,X extends com.vaadin.ui.Component>

      public static interface PropertyListingBuilder.GridPropertyListingBuilder
      extends PropertyListingBuilder.BaseGridPropertyListingBuilder<PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder>

  Builder to create a `PropertyListing` component using a `Grid` as backing component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.PropertyListingBuilder

      `PropertyListingBuilder.BaseGridPropertyListingBuilder<C extends ItemListing<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property>,B extends PropertyListingBuilder.BaseGridPropertyListingBuilder<C,B>>, PropertyListingBuilder.GridPropertyListingBuilder`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ItemListingBuilder

      `ItemListingBuilder.BaseGridItemListingBuilder<T,P,C extends ItemListing<T,P>,B extends ItemListingBuilder.BaseGridItemListingBuilder<T,P,C,B>>, ItemListingBuilder.ColumnHeaderMode, ItemListingBuilder.FooterBuilder<P>, ItemListingBuilder.GridFooterGenerator<T,P>, ItemListingBuilder.GridItemListingBuilder<T,C extends ItemListing<T,String>,B extends ItemListingBuilder.GridItemListingBuilder<T,C,B>>, ItemListingBuilder.GridSection<ROWTYPE>, ItemListingBuilder.HeaderBuilder<P>, ItemListingBuilder.ListingFooterRow<P>, ItemListingBuilder.ListingHeaderRow<P>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.PropertyListingBuilder.BaseGridPropertyListingBuilder

      `editor, render, render, withValidator, withValidator, withVirtualProperty, withVirtualProperty, withVirtualProperty, withVirtualProperty, withVirtualProperty`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.PropertyListingBuilder

      `dataSource, dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ItemListingBuilder.BaseGridItemListingBuilder

      `commitOnRemove, commitOnSave, detailsGenerator, editorBuffered, editorCancelCaption, editorCancelCaption, editorCancelCaption, editorErrorGenerator, editorSaveCaption, editorSaveCaption, editorSaveCaption, expandRatio, footer, footerGenerator, frozenColumns, header, headerHTML, headerHTML, headerHTML, headerMode, heightByContents, heightByRows, hidingToggleCaption, hidingToggleCaption, hidingToggleCaption, maxWidth, minimumWidthFromContent, minWidth, required, required, required, required, resizable, withEditorCancelListener, withEditorOpenListener, withEditorSaveListener, withValidator, withValidator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ItemListingBuilder

      `alignment, bodyRowHeight, buffered, build, build, columnHidingAllowed, columnReorderingAllowed, commitHandler, defaultValue, displayAfter, displayAsFirst, displayAsLast, displayBefore, editable, editable, footerRowHeight, footerVisible, header, header, header, headerRowHeight, hidable, hidden, hideHeaders, itemDescriptionGenerator, readOnly, rowHeight, selectAllCheckBoxVisibility, selectionMode, sortable, sortable, sortGenerator, sortUsing, style, style, width, withItemClickListener, withPropertyReorderListener, withPropertyResizeListener, withPropertyVisibilityListener, withRowStyle, withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ItemDataSourceComponentBuilder

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseItemDataSourceComponentBuilder

      `autoRefresh, batchSize, defaultSort, fixedFilter, fixedSort, maxCacheSize, queryParameter, withQueryConfigurationProvider`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentBuilder

      `build, deferLocalization, dragSource, dropTarget`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentPostProcessorSupport

      `withPostProcessor`

Copyright © 2019 The Holon Platform. All rights reserved.